These docs are for v1. Click to read the latest docs for v2.

responses

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Answer Choice Fields

The answers property can contain the following fields:

idID of answer
typeType of answer
choice_titleLabel of the choice selected
choice_idID of the choice selected
row_titleLabel of the row selected in a matrix
row_idID of the row selected
column_titleLabel of the column in a matrix
column_idID of the column selected
dropdown_titleLabel of the drop down choice in Drop Down Matrix.
dropdown_idID of the column selected
valueOpen-ended text value

Sort By Multiple Fields

To sort by multiple fields, you can add the "sort_by" parameter more than once in the query. The following URL

https://api.smartsurvey.io/v1/surveys?sort_by=title,asc&sort_by=date_created,desc

Filter by date

The date format for the since filter must be a Unix Epoch timestamp.

So for example:
Sun, 04 Dec 2016 08:16:41 GMT

The Unix Epoch timestamp is:
1480839401

Example request:\ https://api.smartsurvey.io/v1/surveys/123123/responses?completed=1&since=1480839401&include_labels=false

You can use the following site to see how the conversion works:
http://www.epochconverter.com/

Parameters

Path Params
int64
required
Query Params
int32
Defaults to 1

0=Partial, 1=Completed, 2=Both - Return completed responses or partial.

int64
Defaults to 0

Return responses that completed no earlier than this Unix epoch timestamp

int64
Defaults to 0

Return responses that completed no later than this Unix epoch timestamp

int64
Defaults to 0

Enter the filter report ID you would like to use. Other filters will be ignored.

int64
string

Filter the unique (x) value

boolean
Defaults to false

Return text of page/question/choice labels, rather than indices only

int32
Defaults to 1

Which page to return.

int32
Defaults to 10

Number of rows to return per page

string

You can add more than one sort_by to the querystring to sort by multiple fields.

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json